curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items"
payload = {
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quantity: 123,
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true,
salesOrderLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
deliveryNoteLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quantity' => 123,
'stateId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonComment' => '<string>',
'conditionId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'conditionComment' => '<string>',
'credit' => true,
'salesOrderLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'deliveryNoteLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items"
payload := strings.NewReader("{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}"
response = http.request(request)
puts response.read_body{
"returnLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Add Return Line Item
Adds a new line item to an existing return. On an installation connected to the fulfillment network, a line item that agrees with an existing one of the same return on delivery note position, state, condition, reason and comments is merged into that one instead, with the summed quantity; the response then addresses the surviving position.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items"
payload = {
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quantity: 123,
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true,
salesOrderLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
deliveryNoteLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quantity' => 123,
'stateId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonComment' => '<string>',
'conditionId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'conditionComment' => '<string>',
'credit' => true,
'salesOrderLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'deliveryNoteLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items"
payload := strings.NewReader("{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quantity\": 123,\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true,\n \"salesOrderLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"deliveryNoteLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}"
response = http.request(request)
puts response.read_body{
"returnLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
Scopes
Headers
Path Parameters
Body
Request model for AddReturnLineItem command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
Successfully added a line item to the return.
Adds a new line item to an existing return. On an installation connected to the fulfillment network, a line item that agrees with an existing one of the same return on delivery note position, state, condition, reason and comments is merged into that one instead, with the summed quantity; the response then addresses the surviving position. - Response
Was this page helpful?